MARTe2-components - User story #1179

Fixed PrepareNextState of NI9157CircularFifoReader
27.06.2022 10:27 - Giuseppe Ferro

Status: Closed Start date: 27.06.2022
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

--- Source/Components/DataSources/NI9157/NI9157CircularFifoReader.cpp 2022-02-02 09:32:48.000000000 0000
++ Source/Components/DataSources/NI9157/NI9157CircularFifoReader.cpp 2022-04-22 10:31:35.685722943 0000
@-131,7 +131,7 @

acqTimeout = OXFFFFFFFFu;

!

if (!data.Read("NonBlockSleepT", nonBlockSleepT
= acqTimeout = OXFFFFFFFFu;

nonBlockSleepT = 0.F;

1
if (checkFrame > Qu) {
ret = false;

@ -235,8 +235,7 @

numberOfReadWriteCurrent = numberOfConsumersCurrentState;
numberOfReadWriteNext += numberOfConsumersNexiState;

}
-__prepare = ((numberOfReadWriteNext > 0u) && (numberOfReadWriteCurrent Qu)) ||

- ((numberOfReadWriteNext numberOfReadWriteCurrent) && (numberOfReadWriteCurrent > Qu));
prepare = ((numberOfReadWriteNext > Ou) && (numberOfReadWriteCurrent == Qu));

if (prepare){

ret = eventSem.Post();

for (uint32 i = Ou; (i < numberOfSignals); i++) {

History

#1 - 27.06.2022 11:21 - Giuseppe Ferro

- Status changed from New to Code: Impl

#2 - 27.06.2022 11:41 - Giuseppe Ferro
- Assignee changed from Giuseppe Ferro to André Neto

- Status changed from Code: Impl to Unit: Rev

Fixed in
#1179_NI9157CircularFifoReader_PrepareNextState_fix

#3 - 27.06.2022 11:41 - Giuseppe Ferro

Giuseppe Ferro wrote:

——— Source/Components/DataSources/NI9157/NI9157CircularFifoReader.cpp 2022-02-02 09:32:48.000000000 +0000
+++ Source/Components/DataSources/NI9157/NI9157CircularFifoReader.cpp 2022-04-22 10:31:35.685722943 +0000
@@ -131,7 +131,7 @@
acqgTimeout = OxXFFFFFFFFu;
}
if (!data.Read("NonBlockSleepT", nonBlockSleepT)) {
acqgTimeout = OxXFFFFFFFFu;
nonBlockSleepT = 0.F;
}
if (checkFrame > 0Ou) {
ret = false;
@@ -235,8 +235,7 @@
numberOfReadWriteCurrent += numberOfConsumersCurrentState;
numberOfReadWriteNext += numberOfConsumersNextState;

}

V V.V V V V V V V V V VYV

= prepare = ((numberOfReadWriteNext > Ou) && (numberOfReadWriteCurrent == 0u)) ||
= ( (numberOfReadWriteNext == numberOfReadWriteCurrent) && (numberOfReadWriteCurrent > 0u));
+ prepare = ((numberOfReadWriteNext > 0Ou) && (numberOfReadWriteCurrent == 0u));
if (prepare) {
ret = eventSem.Post ();
for (uint32 i = Ou; (i < numberOfSignals); i++) {

#4 - 01.07.2022 08:11 - André Neto
- Assignee deleted (André Neto)

- Status changed from Unit: Rev to Closed

Merged at 8b04dac47855d38f34146a6271e27915e3a0f116
